## Standard Enumerations Standard Enumerations |

## Types and Values

enum | GtkAccelFlags
enum | GtkAnchorType
enum | GtkArrowPlacement
enum | GtkArrowType
enum | GtkAttachOptions
enum | GtkButtonBoxStyle
enum | GtkCornerType
enum | GtkCurveType
enum | GtkDeleteType
enum | GtkDirectionType
enum | GtkExpanderStyle
enum | GtkIMPreeditStyle
enum | GtkIMStatusStyle
enum | GtkJustification
enum | GtkMatchType
enum | GtkMetricType
enum | GtkMovementStep
enum | GtkOrientation
enum | GtkPackType
enum | GtkPathPriorityType
enum | GtkPathType
enum | GtkPolicyType
enum | GtkPositionType
enum | GtkPreviewType
enum | GtkReliefStyle
enum | GtkResizeMode
enum | GtkScrollStep
enum | GtkScrollType
enum | GtkSelectionMode
enum | GtkShadowType
enum | GtkSideType
enum | GtkStateType
enum | GtkSubmenuDirection
enum | GtkSubmenuPlacement
enum | GtkToolbarStyle
enum | GtkUpdateType
enum | GtkVisibility
enum | GtkWindowPosition
enum | GtkWindowType
enum | GtkSortType
enum | GtkDragResult

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

## Types and Values

### enum GtkAccelFlags

#### Members

GTK_ACCEL_VISIBLE |  |
GTK_ACCEL_LOCKED |  |
GTK_ACCEL_MASK |  |

### enum GtkAnchorType

#### Members

GTK_ANCHOR_CENTER |  |
GTK_ANCHOR_NORTH |  |
GTK_ANCHOR_NORTH_WEST |  |
GTK_ANCHOR_NORTH_EAST |  |
GTK_ANCHOR_SOUTH |  |
GTK_ANCHOR_SOUTH_WEST |  |
GTK_ANCHOR_SOUTH_EAST |  |
GTK_ANCHOR_WEST |  |
GTK_ANCHOR_EAST |  |
GTK_ANCHOR_N |  |
GTK_ANCHOR_NW |  |
GTK_ANCHOR_NE |  |
GTK_ANCHOR_S |  |
GTK_ANCHOR_SW |  |
GTK_ANCHOR_SE |  |
GTK_ANCHOR_W |  |
GTK_ANCHOR_E |  |

### enum GtkArrowPlacement

#### Members

GTK_ARROWS_BOTH |  |
GTK_ARROWS_START |  |
GTK_ARROWS_END |  |

### enum GtkArrowType

#### Members

GTK_ARROW_UP |  |
GTK_ARROW_DOWN |  |
GTK_ARROW_LEFT |  |
GTK_ARROW_RIGHT |  |
GTK_ARROW_NONE |  |

### enum GtkAttachOptions

#### Members

GTK_EXPAND |  |
GTK_SHRINK |  |
GTK_FILL |  |

### enum GtkButtonBoxStyle

#### Members

GTK_BUTTONBOX_DEFAULT_STYLE |  |
GTK_BUTTONBOX_SPREAD |  |
GTK_BUTTONBOX_EDGE |  |
GTK_BUTTONBOX_START |  |
GTK_BUTTONBOX_END |  |
GTK_BUTTONBOX_CENTER |  |

### enum GtkCornerType

#### Members

GTK_CORNER_TOP_LEFT |  |
GTK_CORNER_BOTTOM_LEFT |  |
GTK_CORNER_TOP_RIGHT |  |
GTK_CORNER_BOTTOM_RIGHT |  |

### enum GtkCurveType

`GtkCurveType` is deprecated and should not be used in newly-written code.

#### Members

GTK_CURVE_TYPE_LINEAR |  |
GTK_CURVE_TYPE_SPLINE |  |
GTK_CURVE_TYPE_FREE |  |

### enum GtkDeleteType

#### Members

GTK_DELETE_CHARS |  |
GTK_DELETE_WORD_ENDS |  |
GTK_DELETE_WORDS |  |
GTK_DELETE_DISPLAY_LINES |  |
GTK_DELETE_DISPLAY_LINE_ENDS |  |
GTK_DELETE_PARAGRAPH_ENDS |  |
GTK_DELETE_PARAGRAPHS |  |
GTK_DELETE_WHITESPACE |  |

### enum GtkDirectionType

#### Members

GTK_DIR_TAB_FORWARD |  |
GTK_DIR_TAB_BACKWARD |  |
GTK_DIR_UP |  |
GTK_DIR_DOWN |  |
GTK_DIR_LEFT |  |
GTK_DIR_RIGHT |  |

### enum GtkExpanderStyle

#### Members

GTK_EXPANDER_COLLAPSED |  |
GTK_EXPANDER_SEMI_COLLAPSED |  |
GTK_EXPANDER_SEMI_EXPANDED |  |
GTK_EXPANDER_EXPANDED |  |

### enum GtkIMPreeditStyle

#### Members

GTK_IM_PREEDIT_NOTHING |  |
GTK_IM_PREEDIT_CALLBACK |  |
GTK_IM_PREEDIT_NONE |  |

### enum GtkIMStatusStyle

#### Members

GTK_IM_STATUS_NOTHING |  |
GTK_IM_STATUS_CALLBACK |  |
GTK_IM_STATUS_NONE |  |

### enum GtkJustification

#### Members

GTK_JUSTIFY_LEFT |  |
GTK_JUSTIFY_RIGHT |  |
GTK_JUSTIFY_CENTER |  |
GTK_JUSTIFY_FILL |  |

### enum GtkMatchType

`GtkMatchType` is deprecated and should not be used in newly-written code.

#### Members

GTK_MATCH_ALL |  |
GTK_MATCH_ALL_TAIL |  |
GTK_MATCH_HEAD |  |
GTK_MATCH_TAIL |  |
GTK_MATCH_EXACT |  |
GTK_MATCH_LAST |  |

### enum GtkMetricType

#### Members

GTK_PIXELS |  |
GTK_INCHES |  |
GTK_CENTIMETERS |  |

### enum GtkMovementStep

#### Members

GTK_MOVEMENT_LOGICAL_POSITIONS |  |
GTK_MOVEMENT_VISUAL_POSITIONS |  |
GTK_MOVEMENT_WORDS |  |
GTK_MOVEMENT_DISPLAY_LINES |  |
GTK_MOVEMENT_DISPLAY_LINE_ENDS |  |
GTK_MOVEMENT_PARAGRAPHS |  |
GTK_MOVEMENT_PARAGRAPH_ENDS |  |
GTK_MOVEMENT_PAGES |  |
GTK_MOVEMENT_BUFFER_ENDS |  |
GTK_MOVEMENT_HORIZONTAL_PAGES |  |

### enum GtkOrientation

#### Members

GTK_ORIENTATION_HORIZONTAL |  |
GTK_ORIENTATION_VERTICAL |  |

### enum GtkPackType

#### Members

GTK_PACK_START |  |
GTK_PACK_END |  |

### enum GtkPathPriorityType

#### Members

GTK_PATH_PRIO_LOWEST |  |
GTK_PATH_PRIO_GTK |  |
GTK_PATH_PRIO_APPLICATION |  |
GTK_PATH_PRIO_THEME |  |
GTK_PATH_PRIO_RC |  |
GTK_PATH_PRIO_HIGHEST |  |

### enum GtkPathType

#### Members

GTK_PATH_WIDGET |  |
GTK_PATH_WIDGET_CLASS |  |
GTK_PATH_CLASS |  |

### enum GtkPolicyType

#### Members

GTK_POLICY_ALWAYS |  |
GTK_POLICY_AUTOMATIC |  |
GTK_POLICY_NEVER |  |

### enum GtkPositionType

#### Members

GTK_POS_LEFT |  |
GTK_POS_RIGHT |  |
GTK_POS_TOP |  |
GTK_POS_BOTTOM |  |

### enum GtkPreviewType

`GtkPreviewType` is deprecated and should not be used in newly-written code.

#### Members

GTK_PREVIEW_COLOR |  |
GTK_PREVIEW_GRAYSCALE |  |

### enum GtkReliefStyle

#### Members

GTK_RELIEF_NORMAL |  |
GTK_RELIEF_HALF |  |
GTK_RELIEF_NONE |  |

### enum GtkResizeMode

#### Members

GTK_RESIZE_PARENT |  |
GTK_RESIZE_QUEUE |  |
GTK_RESIZE_IMMEDIATE |  |

### enum GtkScrollStep

#### Members

GTK_SCROLL_STEPS |  |
GTK_SCROLL_PAGES |  |
GTK_SCROLL_ENDS |  |
GTK_SCROLL_HORIZONTAL_STEPS |  |
GTK_SCROLL_HORIZONTAL_PAGES |  |
GTK_SCROLL_HORIZONTAL_ENDS |  |

### enum GtkScrollType

#### Members

GTK_SCROLL_NONE |  |
GTK_SCROLL_JUMP |  |
GTK_SCROLL_STEP_BACKWARD |  |
GTK_SCROLL_STEP_FORWARD |  |
GTK_SCROLL_PAGE_BACKWARD |  |
GTK_SCROLL_PAGE_FORWARD |  |
GTK_SCROLL_STEP_UP |  |
GTK_SCROLL_STEP_DOWN |  |
GTK_SCROLL_PAGE_UP |  |
GTK_SCROLL_PAGE_DOWN |  |
GTK_SCROLL_STEP_LEFT |  |
GTK_SCROLL_STEP_RIGHT |  |
GTK_SCROLL_PAGE_LEFT |  |
GTK_SCROLL_PAGE_RIGHT |  |
GTK_SCROLL_START |  |
GTK_SCROLL_END |  |

### enum GtkSelectionMode

#### Members

GTK_SELECTION_NONE |  |
GTK_SELECTION_SINGLE |  |
GTK_SELECTION_BROWSE |  |
GTK_SELECTION_MULTIPLE |  |
GTK_SELECTION_EXTENDED |  |

### enum GtkShadowType

#### Members

GTK_SHADOW_NONE |  |
GTK_SHADOW_IN |  |
GTK_SHADOW_OUT |  |
GTK_SHADOW_ETCHED_IN |  |
GTK_SHADOW_ETCHED_OUT |  |

### enum GtkSideType

`GtkSideType` is deprecated and should not be used in newly-written code.

#### Members

GTK_SIDE_TOP |  |
GTK_SIDE_BOTTOM |  |
GTK_SIDE_LEFT |  |
GTK_SIDE_RIGHT |  |

### enum GtkStateType

#### Members

GTK_STATE_NORMAL |  |
GTK_STATE_ACTIVE |  |
GTK_STATE_PRELIGHT |  |
GTK_STATE_SELECTED |  |
GTK_STATE_INSENSITIVE |  |

### enum GtkSubmenuDirection

`GtkSubmenuDirection` is deprecated and should not be used in newly-written code.

#### Members

GTK_DIRECTION_LEFT |  |
GTK_DIRECTION_RIGHT |  |

### enum GtkSubmenuPlacement

`GtkSubmenuPlacement` is deprecated and should not be used in newly-written code.

#### Members

GTK_TOP_BOTTOM |  |
GTK_LEFT_RIGHT |  |

### enum GtkToolbarStyle

#### Members

GTK_TOOLBAR_ICONS |  |
GTK_TOOLBAR_TEXT |  |
GTK_TOOLBAR_BOTH |  |
GTK_TOOLBAR_BOTH_HORIZ |  |

### enum GtkUpdateType

#### Members

GTK_UPDATE_CONTINUOUS |  |
GTK_UPDATE_DISCONTINUOUS |  |
GTK_UPDATE_DELAYED |  |

### enum GtkVisibility

#### Members

GTK_VISIBILITY_NONE |  |
GTK_VISIBILITY_PARTIAL |  |
GTK_VISIBILITY_FULL |  |

### enum GtkWindowPosition

#### Members

GTK_WIN_POS_NONE |  |
GTK_WIN_POS_CENTER |  |
GTK_WIN_POS_MOUSE |  |
GTK_WIN_POS_CENTER_ALWAYS |  |
GTK_WIN_POS_CENTER_ON_PARENT |  |

### enum GtkWindowType

#### Members

GTK_WINDOW_TOPLEVEL |  |
GTK_WINDOW_POPUP |  |

### enum GtkSortType

#### Members

GTK_SORT_ASCENDING |  |
GTK_SORT_DESCENDING |  |

### enum GtkDragResult

#### Members

GTK_DRAG_RESULT_SUCCESS |  |
GTK_DRAG_RESULT_NO_TARGET |  |
GTK_DRAG_RESULT_USER_CANCELLED |  |
GTK_DRAG_RESULT_TIMEOUT_EXPIRED |  |
GTK_DRAG_RESULT_GRAB_BROKEN |  |
GTK_DRAG_RESULT_ERROR |  |